local data = LevelsTweakData.init

function LevelsTweakData:init()
	data(self, tweak_data)
	local america = LevelsTweakData.LevelType.America
	local russia = LevelsTweakData.LevelType.Russia
	local zombie = LevelsTweakData.LevelType.Zombie
	local murkywater = LevelsTweakData.LevelType.Murkywater
	local federales = LevelsTweakData.LevelType.Federales
	local federales = LevelsTweakData.LevelType.Federales
	self.ai_groups = {
		default = america,
		america = america,
		russia = russia,
		zombie = zombie,
		murkywater = murkywater,
		federales = federales,
		federales = federales
	}
	
	--San Martin bank(holdout)
	--[[self.skm_bex = {
		name_id = "heist_skm_bex_h1",
		briefing_id = "heist_skm_bex_briefing",
		briefing_dialog = "Play_loc_skm_brf",
		world_name = "narratives/skm/skm_bex",
		intro_event = "Play_loc_skm_intro",
		outro_event = {
			"Play_loc_skm_end_win",
			"Play_loc_skm_end_fail"
		},
		music = "heist",
		package = "packages/dlcs/skm/job_bex_skm",
		cube = "cube_apply_heist_bank",
		ai_group_type = america,
		group_ai_state = "skirmish",
		wave_count = 9,
		narrator = "locke"
	}--]]
	
	--San Martin (heist)
	self.bex = {
		name_id = "heist_bex_hl",
		briefing_id = "heist_bex_briefing",
		briefing_dialog = "Play_loc_bex_brf",
		world_name = "narratives/vlad/bex",
		intro_event = "Play_loc_bex_intro",
		outro_event = {
			"Play_loc_bex_end"
		},
		music = "heist",
		package = "packages/job_bex",
		cube = "cube_apply_heist_bank",
		block_AIs = {
			old_hoxton = true
		},
		ai_group_type = america,
		narrator = "locke",
		ghost_bonus = 0.15,
		load_screen = "guis/dlcs/bex/textures/loading/job_bex_01_df"
	}
	-- Tijuana
	self.pex = {
		name_id = "heist_pex_hl",
		briefing_id = "heist_pex_briefing",
		briefing_dialog = "Play_loc_pex_brf",
		world_name = "narratives/locke/pex",
		intro_event = "Play_loc_pex_intro",
		outro_event = {
			loud = "Play_loc_pex_end_loud",
			stealth = "Play_loc_pex_end_stealth"
		},
		music = "heist",
		package = "packages/job_pex",
		cube = "cube_apply_heist_bank",
		block_AIs = {
			old_hoxton = true
		},
		ai_group_type = america,
		narrator = "locke",
		ghost_bonus = 0.15,
		teams = {
			criminal1 = {
				foes = {
					law1 = true,
					mobster1 = true
				},
				friends = {
					converted_enemy = true,
					escort = true
				}
			},
			law1 = {
				foes = {
					converted_enemy = true,
					criminal1 = true,
					mobster1 = true
				},
				friends = {}
			},
			mobster1 = {
				foes = {
					converted_enemy = true,
					law1 = true,
					criminal1 = true
				},
				friends = {}
			},
			converted_enemy = {
				foes = {
					law1 = true,
					mobster1 = true
				},
				friends = {
					criminal1 = true,
					escort = true
				}
			},
			neutral1 = {
				foes = {},
				friends = {}
			},
			hacked_turret = {
				foes = {
					law1 = true,
					mobster1 = true
				},
				friends = {}
			},
			escort = {
				foes = {},
				friends = {
					converted_enemy = true,
					criminal1 = true
				}
			}
		}
	}
	
	-- Buluc's Mansion
	self.fex = {
		name_id = "heist_fex_hl",
		briefing_id = "heist_fex_briefing",
		briefing_dialog = "Play_loc_fex_brf",
		world_name = "narratives/vlad/fex",
		intro_event = "Play_loc_fex_intro",
		outro_event = {
			loud = "Play_vld_fex_end",
			stealth = "Play_vld_fex_end"
		},
		music = "heist",
		package = "packages/job_fex",
		cube = "cube_apply_heist_bank",
		block_AIs = {
			old_hoxton = true
		},
		ai_group_type = america,
		narrator = "locke",
		ghost_bonus = 0.15,
		load_screen = "guis/dlcs/fex/textures/loading/job_fex_01_df",
		teams = {
			criminal1 = {
				foes = {
					law1 = true,
					mobster1 = true
				},
				friends = {
					converted_enemy = true,
					escort = true
				}
			},
			law1 = {
				foes = {
					converted_enemy = true,
					criminal1 = true,
					mobster1 = true
				},
				friends = {}
			},
			mobster1 = {
				foes = {
					converted_enemy = true,
					law1 = true,
					criminal1 = true
				},
				friends = {}
			},
			converted_enemy = {
				foes = {
					law1 = true,
					mobster1 = true
				},
				friends = {
					criminal1 = true,
					escort = true
				}
			},
			neutral1 = {
				foes = {},
				friends = {}
			},
			hacked_turret = {
				foes = {
					law1 = true,
					mobster1 = true
				},
				friends = {}
			},
			escort = {
				foes = {},
				friends = {
					converted_enemy = true,
					criminal1 = true
				}
			}
		}
	}
end